net.dontdrinkandroot.lastfm.api.model

## Class Image

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.Image

All Implemented Interfaces:
  Serializable, DateAddedEntity, Entity, FormatEntity, SizesEntity, TitleEntity, UrlEntity, VotesEntity

    public class Image
    extends LfmEntity
    implements TitleEntity, UrlEntity, DateAddedEntity, FormatEntity, VotesEntity, SizesEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Image(Element imageElement)` Creates an Image from a Dom `Element`.

### Method Summary

Methods
`Date` `getDateAdded()`
`String` `getFormat()`
`List<Size>` `getSizes()`
`String` `getTitle()`
`URL` `getUrl()`
`Votes` `getVotes()`
`void` `setDateAdded(Date dateAdded)`
`void` `setFormat(String format)`
`void` `setSizes(List<Size> sizes)`
`void` `setTitle(String title)`
`void` `setUrl(URL url)`
`void` `setVotes(Votes votes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Image

    public Image(Element imageElement)

Creates an Image from a Dom `Element`.

Parameters:
  `imageElement` - The `Element` to parse.

### Method Detail

#### getSizes

    public List<Size> getSizes()

Specified by:
  `getSizes` in interface `SizesEntity`

#### setSizes

    public void setSizes(List<Size> sizes)

Specified by:
  `setSizes` in interface `SizesEntity`

#### getVotes

    public Votes getVotes()

Specified by:
  `getVotes` in interface `VotesEntity`

#### setVotes

    public void setVotes(Votes votes)

Specified by:
  `setVotes` in interface `VotesEntity`

#### getFormat

    public String getFormat()

Specified by:
  `getFormat` in interface `FormatEntity`

#### setFormat

    public void setFormat(String format)

Specified by:
  `setFormat` in interface `FormatEntity`

#### getDateAdded

    public Date getDateAdded()

Specified by:
  `getDateAdded` in interface `DateAddedEntity`

#### setDateAdded

    public void setDateAdded(Date dateAdded)

Specified by:
  `setDateAdded` in interface `DateAddedEntity`

#### getUrl

    public URL getUrl()

Specified by:
  `getUrl` in interface `UrlEntity`

#### setUrl

    public void setUrl(URL url)

Specified by:
  `setUrl` in interface `UrlEntity`

#### setTitle

    public void setTitle(String title)

Specified by:
  `setTitle` in interface `TitleEntity`

#### getTitle

    public String getTitle()

Specified by:
  `getTitle` in interface `TitleEntity`